🌐 English
EpisodeTime Developers
Developer documentation Browse sections
OverviewIntroductionGetting StartedAPI BasicsAPIAuthenticationShowsSeasonsEpisodesPeopleNetworksGenresSearchScheduleGuidesPaginationFilteringSortingLanguagesExternal IDsTimezonesErrorsRate LimitsCachingExamplesDeveloper accountAPI KeysScopesUsagePlatformAPI StatusChangelogVersioningDeprecationWebhooksWebhook EventsPoliciesAPI TermsAcceptable UseAttributionData & LicensingFAQData Corrections
Developers/API Examples
EpisodeTime API v1

API Examples

Minimal examples use placeholders and the canonical v1 base URL.

curl

curl -H "Authorization: Bearer et_live_your_api_key" https://episodetime.com/api/v1/shows/121

JavaScript / TypeScript

const response = await fetch('https://episodetime.com/api/v1/shows/121', {
  headers: { Authorization: 'Bearer YOUR_API_KEY' }
});
const body = await response.json();

PHP

$context = stream_context_create(['http' => ['header' => "Authorization: Bearer YOUR_API_KEY\r\n"]]);
$body = json_decode(file_get_contents('https://episodetime.com/api/v1/shows/121', false, $context), true);

Python

import requests
body = requests.get('https://episodetime.com/api/v1/shows/121', headers={'Authorization': 'Bearer YOUR_API_KEY'}).json()

Kotlin

val request = Request.Builder()
  .url("https://episodetime.com/api/v1/shows/121")
  .header("Authorization", "Bearer YOUR_API_KEY")
  .build()

Swift

var request = URLRequest(url: URL(string: "https://episodetime.com/api/v1/shows/121")!)
request.setValue("Bearer YOUR_API_KEY", forHTTPHeaderField: "Authorization")
Need help?

Report an API bug, documentation issue, or request limited-preview access.

Contact EpisodeTime